Bug 499421 - gramps crashes immediately with python assertion error
gramps crashes immediately with python assertion error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gramps (Show other bugs)
11
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 11:52 EDT by Joe Wrigley
Modified: 2009-09-25 16:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.1.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-25 16:14:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug report (70.69 KB, text/plain)
2009-05-06 11:56 EDT, Joe Wrigley
no flags Details

  None (edit)
Description Joe Wrigley 2009-05-06 11:52:46 EDT
Description of problem:
gramps crashes immediately with:

python: Objects/typeobject.c:1144: PyType_IsSubtype: Assertion `((((((PyObject*)(mro))->ob_type))->tp_flags & ((1L<<26))) != 0); failed

Version-Release number of selected component (if applicable):
gramps-3.1.1-3.fc11.noarch

How reproducible:
Every time I run gramps

Steps to Reproduce:
1. Install gramps
2. Run gramps
  
Actual results:
The above error and no GUI loads

Expected results:
Gramps loads the GUI

Additional info:
I installed all the debuginfo packages needed (as far as I can tell) and attach the bug-buddy report
Comment 1 Joe Wrigley 2009-05-06 11:56:02 EDT
Created attachment 342680 [details]
bug report
Comment 2 Bug Zapper 2009-06-09 11:15:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2009-09-03 23:36:30 EDT
gramps-3.1.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gramps-3.1.2-1.fc11
Comment 4 Fedora Update System 2009-09-06 16:37:28 EDT
gramps-3.1.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gramps'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9316
Comment 5 Fedora Update System 2009-09-25 16:13:55 EDT
gramps-3.1.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.